curl --request POST \
--url https://api.mansafinance.co/api/v2/liquidity/management/repayments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "16666",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_facility_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notify_in_days": 1
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED"
}Submit a repayment for a settlement facility.
curl --request POST \
--url https://api.mansafinance.co/api/v2/liquidity/management/repayments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "16666",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_facility_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notify_in_days": 1
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "interest",
"amount": "<string>",
"chain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "SUBMITTED"
}API key for authentication
JWT token following RFC001 specification
Idempotency identifier for this repayment
interest, principal, penalty "16666"
ID of the settlement facility this repayment is for
Optional: schedule notification in X days
x >= 0